## class SG_EXPORT TextureObjectManager

## Inheritance:

### Public Fields

double _expiryDelay
TextureObjectListMap _textureObjectListMap

### Public Methods

virtual TextureObject* generateTextureObject(unsigned int contextID, GLenum target)
virtual TextureObject* generateTextureObject(unsigned int contextID, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
virtual TextureObject* reuseTextureObject(unsigned int contextID, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
inline TextureObject* reuseOrGenerateTextureObject(unsigned int contextID, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
virtual void addTextureObjects(TextureObjectListMap& toblm)
virtual void addTextureObjectsFrom(Texture& texture)
virtual void flushTextureObjects(unsigned int contextID, double currentTime, double& availableTime)
void setExpiryDelay(double expiryDelay)
double getExpiryDelay() const

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`virtual TextureObject* generateTextureObject(unsigned int contextID, GLenum target)`

`virtual TextureObject* generateTextureObject(unsigned int contextID, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)`

`virtual TextureObject* reuseTextureObject(unsigned int contextID, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)`

`inline TextureObject* reuseOrGenerateTextureObject(unsigned int contextID, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)`

`virtual void addTextureObjects(TextureObjectListMap& toblm)`

`virtual void addTextureObjectsFrom(Texture& texture)`

`virtual void flushTextureObjects(unsigned int contextID, double currentTime, double& availableTime)`

`void setExpiryDelay(double expiryDelay)`

`double getExpiryDelay() const`

`double _expiryDelay`

`TextureObjectListMap _textureObjectListMap`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.